Netzwerk-Labor · Doku Subnetting – Lernstufen-Matrix (Runde 7) Zum Spiel Online

Subnetting – Lernstufen-Matrix (Runde 7)

Zweck. Diese Notiz hält die Lernstufen-Matrix der generierten Subnetting- und VLAN-Aufgaben fest (Vertrag § 5), die Typ-Matrix aus § 6, die sieben Befunde aus § 10 mit Vorher/Nachher und Testbeleg sowie die Stellen, die bewusst nicht geändert wurden. Sie ist die didaktische Grundlage für src/spiel/subnetz.js (Aufgabenmotor, Owner W1), src/daten/subnetz-lehrplan.js (Lehrplan, Owner W2) und tests/subnetz-inhalte.test.js (didaktische Invarianten, Owner W2).

Quellen. Verbindlich sind docs/entwicklung/Entwurf – Runde 7 (Abteilung Subnetting).md § 2.1, § 2.2, § 5, § 6, § 10 sowie die Vault-Notizen Network – Lernfassung, VLAN – Lernfassung, 04-AP1-Netzwerk und Fragen – Subnetting. Fachliche Belege: RFC 4632 (CIDR), RFC 1918 (private Adressen), RFC 3021 (/31), IEEE 802.1Q (Tagging).


1 · Stufenmerkmale (Vertrag § 5, wörtlich übernommen)

Drei Stufen, angeschlossen an die vorhandene Achse niveau (E/AP1/AP2). Jede generierte Aufgabe trägt genau eine Stufe; die Stufe bestimmt Zahlenraum, Schrittzahl und Hilfen.

MerkmalEAP1AP2
Präfixe/24–/28/20–/30/16–/31 (inklusive /30, /31)
Schritte bis zur Lösung (kognitiv)12–33–5
Oktett-Lageletztes Oktett, Blockgröße ≤ 128letztes oder vorletztes Oktettbeliebiges Oktett
Hilfen in der Aufgabehinweis immer gesetzt, Rechenweg anforderbarhinweis optionalkein hinweis
VLSM–2–3 Netze, ein Schritt4–5 Netze, Reihenfolge + Reserve
VLANein Access-Portzwei Ports/VLAN, ErreichbarkeitTrunk, Tagging, Native, allowed-Liste
Zeitdruckkeinerkeineroptional (Spiel „Präfix-Blitz" nur AP1/AP2)
Formulierung„Wie lautet …" ohne Zusatzbedingungeine BedingungBedingung + Gegenprobe/Falle benannt

Zwei verschiedene Größen — nicht verwechseln. „Schritte bis zur Lösung" in der Tabelle meint die kognitiven Lösungsschritte einer Aufgabe (E 1, AP1 2–3, AP2 3–5). Die angezeigte Rechenweg-Länge ist davon unabhängig und laut Vertrag § 2.1 immer 3–6 Schritte: Der Rechenweg zeigt den vollständigen Weg, die Stufe bestimmt, wie viel davon die Lernenden selbst leisten müssen.

Umsetzungsstand dieser Größe (gemessen am 31.10.2026 gegen Spiel.subnetz, 460 Aufgaben je 23 Art×Stufen × 20 Seeds): Die angezeigte Rechenweg-Länge ist E 3 · AP1 3 · AP2 5 Schritte (kein E mit 1, kein AP1 mit 2 oder 4, kein AP2 mit 4). Das ist mit § 2.1 (3–6 Schritte) vereinbar, aber die Stufenmatrix aus § 5 (Lösungsschritte) ist im Generator nicht umgesetzt. Der Generator wird in dieser Runde nicht umgebaut (Owner W1, Auftrag auf Rechenkern und API begrenzt); die Abweichung ist hier ehrlich dokumentiert und an die Leitung gemeldet. Eine Umsetzung hieße: E-Aufgaben mit genau 1 Lösungsschritt (z. B. nur Netz-ID ablesen) und AP1 mit 2, ohne die Vertragsregel „Rechenweg 3–6 Schritte" zu brechen.

Auslegung für den Zahlenraum E. Der Vertrag nennt /24–/28 und gleichzeitig „Blockgröße ≤ 128" (das ist /25 oder länger). Für Rechenaufgaben mit Adressen wird deshalb /25–/28 erzeugt; /24 bleibt als Netzgröße zulässig, wo nur gezählt wird. Der Test lässt für E /24–/28 zu und prüft, dass E-Aufgaben nicht über /30 oder /31 sprechen – einzige Ausnahme ist die ausdrückliche RFC-3021-Ausnahme in Modul 4 (Didaktik-Review S4), die als Satz mit „RFC 3021" klar markiert ist und die absoluten „nie"-Regeln für /31 korrigiert.

Wortregeln (testbar). Frage bis 220 Zeichen, alle Angaben zusätzlich in lage; keine unbestimmten Wörter („irgendwie", „vielleicht", „eventuell"); keine Abkürzung ohne Auflösung beim ersten Vorkommen in Lehrmaterial; keine negativen Fangfragen auf E; genau eine richtige Option; Distraktoren sind typische Denkfehler (nicht offensichtlich falsch); jede Erklärung nennt den Rechenweg in Worten. Der Lehrplan (Modultexte) wird zusätzlich in Du-Form, ohne Emoji und ohne Füllwörter geprüft.


2 · Typ-Matrix: 11 Aufgabenarten × E/AP1/AP2 (Vertrag § 6)

Zellen nennen Zahlenraum · Lösungsschritte (kognitiv) · Hilfe · Formulierungsregel; „–" heißt: Diese Art gibt es auf dieser Stufe nicht. Grundlage ist die Stufenmatrix aus § 1; typspezifische Abweichungen stehen in der Zelle. Eingabeart je Typ nach § 6. Die angezeigte Rechenweg-Länge ist in jeder Zelle 3–6 Schritte (§ 2.1, siehe § 1 „Zwei verschiedene Größen").

ArtEingabeEAP1AP2
netzid – Netz-ID bestimmenip/24–/28 · 1 Schritt · hinweis immer · „Wie lautet die Netz-ID von …?"/20–/30 · 2–3 · hinweis optional · eine Bedingung („In welchem Netz liegt …? Gib die Netz-ID an.")/16–/31 · 3–5 · kein hinweis · Bedingung + Gegenprobe („prüfe gegen den Broadcast")
broadcast – Broadcast bestimmenip/24–/28 · 1 · hinweis immer · „Wie lautet …"/20–/30 · 2–3 · optional · eine Bedingung/16–/31 · 3–5 · kein hinweis · mit Gegenprobe zu den nutzbaren Hosts
hosts – Nutzbare Hostszahl/24–/28 · 1 · hinweis immer · „Wie viele …?"/20–/30 · 2–3 · optional · eine Bedingung–
maske – Maske ↔ Präfixmaske/24–/28 · 1 · hinweis immer · „Wie lautet …"/20–/30 · 2–3 · optional · eine Bedingung–
block – Blockgröße und Rasterzahl/24–/28 · 1 · hinweis immer · „Wie viele Adressen …"/20–/30 · 2–3 · optional · eine Bedingung/16–/31 · 3–5 · kein hinweis · Bedingung + Gegenprobe (Raster im Oktett)
subnetze – Netze schneiden/zählenzahl–/20–/30 · 2–3 · optional · „Wie viele Netze entstehen …"/16–/31 · 3–5 · kein hinweis · mit Leihbits und Gegenprobe
vlsm – Adressplan-Schrittauswahl–2–3 Netze, ein Schritt · 2–3 · optional · „Welcher Block kommt als Nächstes?"4–5 Netze, Reihenfolge + Reserve · 3–5 · kein hinweis · Falle benannt (vom größten zum kleinsten)
zusammenfassen – Supernetzauswahl––/16–/31 · 3–5 · kein hinweis · Bedingung + Falle (lückenlos, am Blockanfang)
vlan-port – VLAN am Portauswahlein Access-Port · 1 · hinweis immer · „In welchem VLAN liegt …?"zwei Ports/VLAN · 2–3 · optional · eine Bedingung–
vlan-erreichbar – Gleiches VLAN?auswahl–zwei Ports/VLAN, Erreichbarkeit · 2–3 · optional · eine BedingungTrunk, Tagging, Native, allowed-Liste · 3–5 · kein hinweis · Falle benannt
trunk – Trunk und Taggingauswahl––Trunk, Tagging, Native, allowed-Liste · 3–5 · kein hinweis · Falle benannt

Zusätzliche Regeln für Auswahlaufgaben (§ 2.1, § 5). Genau eine richtige Option; jede Option ist nur mit den Angaben in lage und elementarem Netzwerk-Wissen entscheidbar; drei Distraktoren sind typische Denkfehler (Nachbarblock, Broadcast statt Host, Off-by-one, Wildcard statt Maske, falscher Präfix, ungeteiltes Netz …); der Rechenweg (3–6 Schritte in rechenweg) endet mit loesung.wert; pruefen wirft nie; Formattoleranz: Maske als /26 oder 255.255.255.192, Zahlen als 62 (auch 62 Hosts).


3 · Die sieben Befunde aus § 10 mit Vorher/Nachher und Testbeleg

Alle Änderungen liegen ausschließlich in den W2-Dateien aus § 9. Testbelege sind die schnellen Einzeltests (node Nachweise/runde7/schnelltest.js tests/<datei>.test.js); der Gesamtlauf node tests/run.js bleibt das Abnahme-Gate.

Befund 1 — vlan-netzgroesse lehrte das falsche Planungsmodell

Befund 2 — mini-sub-1 / mini-sub-3: Schwierigkeit invertiert

Befund 3 — mini-trunk-5 war ohne Native-Angabe doppeldeutig

Befund 4 — fehlende Denkhilfen für drei Transferaufgaben

Befund 5 — doppelte Trainings ohne Unterschied

Befund 6 — tr-subnetz-plan: E-Format mit AP1-Inhalt

Befund 7 — Bit-/Block-Brücke im Lehrplan statt Wiki-Umbau


3a · Nachbesserung aus der unabhängigen Didaktik-Prüfung (31.10.2026)

Die unabhängige Prüfung (Nachweise/runde7/review-didaktik.md, S1–S5 und K2/K7) fand fachliche Schwächen im Lehrplan. Alle betroffenen Stellen liegen in src/daten/subnetz-lehrplan.js und wurden in einer eigenen Fix-Runde korrigiert; die angezeigte Rechenweg-Länge (S1) bleibt bewusst als Ist-Stand dokumentiert (§ 1).

NrVorherNachher
S2 · Modul 6 (AP1)VLSM-Beispiel mit vier Netzen (100/50/25/10 Hosts) – das ist AP2-Stoff, die Matrix erlaubt AP1 nur 2–3 Netze.Beispiel „Drei VLANs aus 192.168.100.0/24" mit 100/50/20 Hosts: /25 (126), /26 (62), /27 (30), Reserve .224/27. Ergebnis und Reserve bleiben nachgerechnet.
S3 · Modul 8„Vier Netze brauchen 2 zusätzliche Netzbits: 24 minus 2 ergibt 22." – widersprüchlich: „zusätzliche" Bits würden /26 ergeben.„Beim Zusammenfassen werden Netzbits wieder Hostbits: Der Präfix sinkt um 2, denn aus dem /22 werden umgekehrt vier /24, indem zwei Bits vom Host- in den Netzanteil wandern." Dazu eine Gegenprobe-Zeile „24 minus 2 = 22; vier /24 = 2 hoch 2 Netze".
S4 · Modul 4 + FehlerfallenAbsolut „Netz- und Broadcastadresse dürfen nie …" bzw. „Beide bleiben reserviert" – für /31 falsch.„Bei /24 bis /30 …; /31 ist nach RFC 3021 die Ausnahme, dort sind beide Adressen nutzbare Endpunkte." In der Fehlerfallen-Zeile zusätzlich /32 (genau eine Adresse).
S5 · Rechenweg-FormelSchritt 4/5 sagten ohne Vorbehalt „Hosts = Block − 2" und „Hostbereich = Netz+1 … Broadcast−1" – für /31 falsch.Schritt 4 nennt den Geltungsbereich /0–/30 und die RFC-3021-Ausnahmen /31 (zwei Endpunkte) und /32 (eine Adresse); Schritt 5 erklärt, dass bei /31 die Netz-/Broadcast-Trennung entfällt.
S1 · SchrittzahlMatrix nennt Lösungsschritte E 1 / AP1 2–3 / AP2 3–5; der Generator liefert überall 3–6 angezeigte Rechenweg-Schritte.§ 1 unterscheidet jetzt ausdrücklich „Lösungsschritte (kognitiv)" und „angezeigte Rechenweg-Länge (3–6, § 2.1)" und dokumentiert den Ist-Stand 3/3/5 samt Begründung – ein Umbau des Generators (Owner W1) war nicht Teil dieser Runde.
K2 · Quelle„07-Uebungen-Subnetting-Szenarien" fehlte im Lehrplan.Modul 5, 6 und 8 nennen die Quelle jetzt in Modul-quelle; Schreibweise im Datenbestand „07-Übungen-Subnetting-Szenarien" (lesbare Form), der ASCII-Dateiname des Vault-Dokuments steht im Kopfkommentar. Grund: tools/umlaute.py führt die ASCII-Form „Uebungen" nur für trainings.js/wiki.js als Zitat-Ausnahme – und eine Ausnahme dort einzutragen lag außerhalb der W2-Schreibzone.
K7 · Formelsammlung„jede Broadcast-Domäne braucht ein eigenes Gateway" – zu absolut (isoliertes VLAN, Layer-3-Switch).„… braucht ein eigenes Subnetz und in der Regel ein eigenes Gateway – ein Layer-3-Switch kann mehrere Netze über virtuelle Schnittstellen bedienen."

Testbelege der Fix-Runde: tests/subnetz-lehrplan.test.js 12/12 grün (der Test verlangt die RFC-3021-Ausnahme in Modul 4; E-Module bleiben sonst im Raster /24–/28, Sätze mit „RFC 3021" sind ausdrücklich als Ausnahme markiert), tests/subnetz-inhalte.test.js 7/7 grün, python tools/umlaute.py GRÜN. Keine bestehende Zusicherung wurde abgeschwächt; die einzige Teständerung ist die begründete Ausnahme für den RFC-3021-Satz in Modul 4.


4 · Bewusst nicht geändert (mit Begründung)

StelleWarum nicht
src/daten/wiki.jsOwner Leitung, § 10 Nr. 7 verlangt die Bit-/Block-Brücke im Lehrplan. Ein Wiki-Umbau wäre eine fremde Datei und in dieser Runde nicht beauftragt.
tr-trunk-erlauben (Inhalt)Die Allowed-Liste mit der add-Falle bleibt als eigenes Szenario erhalten – sie ist die häufigste Prüfungsfalle und von tr-trunk-allowed (Betriebsart) jetzt klar getrennt. Nur tr-trunk-allowed wurde umbenannt und umgeschrieben.
Weitere Mini-Tickets außerhalb § 10Kein Bedarf belegt; der Auftrag ist auf die sieben Befunde begrenzt. mini-link-2 bleibt bewusst ohne Denkhilfe (Rückfall-Test in tests/spiel-mini-denktexte.test.js).
DATEN.skillsCodec- und Dichte-Tests sind eingefroren (§ 1, § 10 „Nicht Teil dieser Runde"). Keine neue Fertigkeit.
Tickets, src/spiel/mini.js-Mechanik, Lernmotor, Spiellogik, UI§ 10 „Nicht Teil dieser Runde"; diese Runde ergänzt Inhalte und Abteilung, nicht die Mechanik.
Stufe/Art der geänderten Aufgabenvlan-netzgroesse bleibt AP2/wahl, tr-subnetz-plan bleibt basis/E, tr-trunk-allowed bleibt stoerung/AP1 – die Stufenmatrix und die Testregel niveau = f(art) werden nicht durch Datenänderungen ausgehebelt.
Antwortoption „Er wird verworfen" bei mini-trunk-5Fachlich falsch: Ein ungetaggter Frame am Trunk wird nicht verworfen, sondern dem Native VLAN zugeordnet. Als Ablenker war sie damit unbrauchbar; ersetzt durch „Im ersten erlaubten VLAN (10)".
TestabschwächungenKeine. Die einzige nachgezogene bestehende Erwartung ist der GEGEN-Eintrag zu vlan-netzgroesse, weil sich die Rechenregel der Vorlage fachlich geändert hat; er rechnet jetzt strenger (kleinster reichender Präfix aus dem Bedarf).

5 · Prüfbelege (gemessen am 31.10.2026)

Schnelle Einzeltests über node Nachweise/runde7/schnelltest.js tests/<datei>.test.js:

TestErgebnis
tests/subnetz-lehrplan.test.js12/12 grün, 0 übersprungen
tests/subnetz-inhalte.test.js7/7 grün (276 Aufgaben, alle 23 Art×Stufen-Kombinationen)
tests/fragen-generator.test.js7/7 grün
tests/daten-mini.test.js6/6 grün
tests/daten-trainings.test.js10/10 grün
tests/spiel-mini-denktexte.test.js12/12 grün
tests/denkhilfen-teil1.test.js / -teil29/9 / 7/7 grün
tests/mini-wiederholung.test.js17/17 grün
tests/inhalte-s6.test.js6/6 grün

Gesamtlauf node tests/run.js (31.10.2026, nach der Fix-Runde aus § 3a): 1047/1049 grün, 0 übersprungen (118 Testdateien, 98 Module). Die beiden roten Fälle sind die Doku-Seitenbau-Tests (Seitenzahl gegen die Quellzahl: „ist 63 – soll 66" bzw. „ist 62 – soll 65"), weil nach dem letzten python tools/seite.py noch Dokumente hinzukamen; der Bau ist ein Schritt der Leitung (docs/**). Mit dem W2-Lehrplan, den W2-Tests und allen § 10-Änderungen sind das die einzigen roten Fälle – kein Befund aus dieser Datei. Nach python tools/seite.py ist der Lauf voraussichtlich 1049/1049.

tests/subnetz-inhalte.test.js prüft die didaktischen Invarianten der generierten Aufgaben read-only gegen Spiel.subnetz (Zahlenraum je Stufe, lage vollständig, genau eine richtige Option, Distraktoren, rechenweg endet in loesung.wert, hinweis-Regel je Stufe, keine verbotenen Formulierungen). Der Test prüft jede vorhandene Art×Stufe und nennt fehlende Kombinationen im Protokoll. Gemessen beim Schreiben dieser Notiz: alle 23 in § 6 vorgesehenen Art×Stufen-Kombinationen liefern Aufgaben (276 Aufgaben über die Seeds 1–12, davon 96 mit Auswahl; tests/subnetz-inhalte.test.js 7/7 grün). Fehlende Kombinationen nennt der Test im Protokoll, statt den Lauf leer zu beenden. Beim ersten Lauf gefunden und an W1 gemeldet und behoben: eingabe fehlte in den Generatoren und der letzte rechenweg-Schritt von vlan-erreichbar endete nicht in loesung.wert; beides ist im gelieferten Stand korrigiert und durch den Test abgesichert.